/*
 Skript určený pro navázání sériové komunikace s bluetooth modulem HC 05 a pro odesílání AT příkazů

 Zapojení desky+modulu:
 
 KEY - pin 9
 TX - pin 10
 RX - pin 11

 příkazy:
 AT+NAME - odpověď je zobrazené aktuální jméno modulu (přednastaveno HC 05)
 AT+NAME=[vložit nové jméno modulu] - změna jména modulu
 AT+PSWD - odpověď je zobrazení aktuálního hesla modulu (přednastaveno "1234")
 AT+PSWD=["vložit nové heslo"] - změna hesla modulu
 */
#include <SoftwareSerial.h>

SoftwareSerial BluetoothSerial(10, 11); // RX, TX - I/O výstupy pro sériovou komunikaci s modulem - možno změnit dle potřeby

void setup() {
  pinMode(9, OUTPUT);
  digitalWrite(9,HIGH);
  //  Otevře sériovou komunikaci a čeká na otevřeném portu:
  Serial.begin(38400);
  Serial.println("Enter AT Commands");
  BluetoothSerial.begin(38400);
  
}

void loop() { // nekonečná smyčka
  if (Serial.available()) {
    BluetoothSerial.write(Serial.read());
  }
  if (BluetoothSerial.available()) {
    Serial.write(BluetoothSerial.read());
  }
}
